Subject: [Speechsc] Question about Verification

From: Christian Groves <[email-masked]>
Date: Wed, 10 Jun 2009 12:56:20 +1000

Hello,

I've been reviewing the verification section of 
draft-ietf-speechsc-mrcpv2-19 there appears to be some contradiction 
between the text and the syntax. i.e.

Section 11.5.2.3.  "Incremental" states:

   The first "<voiceprint>" element MAY contain an "<incremental>"
   element with the incremental scores of how well the last utterance
   matched the voiceprint.

However section 16.3.  "Verification Results Schema Definition" states:
*  */*   <define name="restVoiceprintContent">*
       <attribute name="id">
         <data type="string"/>
       </attribute>
       <interleave>
         <optional>
*           <element name="incremental">                    <------- ???*
             <ref name="restCommonContent"/>
           </element>
         </optional>
        .../

I don't know if I'm reading this correctly but to me section 11.5.2.3 
doesn't say anything about incremental being used in subsequent voices. 
So I would assume that it would not be part of the restVoicePrintContent 
schema?

Another example:

Section 11.5.2.5.  "Utterance-Length"

   This element MAY occur within either the "<incremental>" or
   "<cumulative>" elements within the first "<voiceprint>" element. 

However section 16.3 states:
  / *<define name="restCommonContent">  <----------------- ???*
       <interleave>
         <optional>
           <element name="decision">
             <ref name="decisionContent"/>
           </element>
         </optional>
         <optional>
 *          <element name="utterance-length">   <-----------???*
             <ref name="utterance-lengthContent"/>
           </element>
         </optional>/

Again I don't know if I'm reading this correctly but the text for 
utterance says its applicable for the first voiceprint but the schema 
shows it only relevant for subsequent voiceprints???

Another example is:
Section 11.5.2.8.  "Adapted" which states:

   This element is found within the "<voiceprint>" element within the
   verification results.

However 16.3 states:
/*<define name="firstVoiceprintContent">*
       <attribute name="id">
         <data type="string"/>
       </attribute>
       <interleave>
         <optional>
 *          <element name="adapted">*
             <data type="boolean"/>
           </element>/
Again I'm confused as previous text says that certain elements are 
applicable to the first voiceprint but the text does not state this for 
the adapted element yet the schema shows it only belongs to the first 
Voiceprint.

Can anyone shed some slight on this?

Regards, Christian